Package org.eclipse.emf.cdo.expressions.impl

# Interface InvocationImpl.Invocable

Enclosing class:
  InvocationImpl

public static interface InvocationImpl.Invocable
An abstraction of something that can be invoked, for example an `EOperation` or a `Method`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Class<?>[]`
`getParameterTypes()`
`Object`
`invoke(Object[] arguments)`

## Method Details

### getName

String getName()

### getParameterTypes

Class<?>[] getParameterTypes()

### invoke

Object invoke(Object[] arguments)